Skip to navigation

Create Tax Properties

Create one or more tax properties. A code and a display name must be included when creating tax properties.

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Information & Settingsmodifystore_v2_information
Information & Settingsread-onlystore_v2_information_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Request

This endpoint expects a list of objects.
codestringRequired
The unique string programmatically references this unique tax property by the tax provider. Merchants should liaise with their tax provider to explore supported values and functions.
display_namestringRequired

The human-readable name for this property. This string will be displayed on the Products screen as a field label.

typeenumRequired
The type of entity that the tax property can be associated with. Default
Allowed values:
descriptionstringOptional
Additional detail about this tax property may help guide merchants. This string will be displayed on the Products screen as a tooltip associated with the relevant field.

Response

OK
datalist of objectsOptional
metaobjectOptional
Response metadata.

Errors

422
Unprocessable Entity Error